[jira] [Commented] (TIKA-3231) Broken build after upgrading maven bundle plugin

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[jira] [Commented] (TIKA-3231) Broken build after upgrading maven bundle plugin

Steve Loughran (Jira)

    [ https://issues.apache.org/jira/browse/TIKA-3231?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=17235756#comment-17235756 ]

Tim Allison commented on TIKA-3231:
-----------------------------------

I think I threaded the needle on osgi component versions and a few small extra bits to the bundle config to get this to work.  I'll commit when I get a clean build.

> Broken build after upgrading maven bundle plugin
> ------------------------------------------------
>
>                 Key: TIKA-3231
>                 URL: https://issues.apache.org/jira/browse/TIKA-3231
>             Project: Tika
>          Issue Type: Bug
>            Reporter: Tim Allison
>            Priority: Major
>
> I recently noticed that branch_1x is no longer building.  We're getting a failure in tika-bundle.
> {noformat}
> > org.apache.tika.bundle
> > org.osgi.framework.BundleException: Unable to resolve
> > org.apache.tika.bundle [19](R 19.0): missing requirement
> > [org.apache.tika.bundle [19](R 19.0)] osgi.wiring.package;
> > (&(osgi.wiring.package=org.apache.tika.config)(version>=1.25.0)(!(version>=2.0.0)))
> > [caused by: Unable to resolve org.apache.tika.core [13](R 13.0): missing
> > requirement [org.apache.tika.core [13](R 13.0)] osgi.wiring.package;
> > (osgi.wiring.package=org.apache.xerces.util)] Unresolved requirements:
> > [[org.apache.tika.bundle [19](R 19.0)] osgi.wiring.package;
> > (&(osgi.wiring.package=org.apache.tika.config)(version>=1.25.0)(!(version>=2.0.0)))]
> {noformat}
> On the dev list, Peter Lee identified the cause...upgrading the maven-bundle-plugin > 4.1.0.
> Let's figure out what's going on and fix this.



--
This message was sent by Atlassian Jira
(v8.3.4#803005)